%define upstream_name	 Gtk2-CV
%define upstream_version 1.56

%global __requires_exclude perl\\(Gtk2::CV::Jobber::Client::\\)

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 14

Summary:	A fast gtk+ image viewer modeled after xv
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  jpeg-devel
BuildRequires:  libmagic-devel
BuildRequires:	gtk+2-devel
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Gtk2)
BuildRequires:	perl(Glib) > 1.00
BuildRequires:	perl-devel


# not automatically found:
Requires:	perl-Gtk2-PodViewer

%description
CV is a fast gtk+ image viewer modeled after xv.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 
perl -pi -e 's/PetRenamer/PatRenamer/' lib/Gtk2/CV/Plugin/PatRenamer.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS -Os -s"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%_bindir/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2*
%{perl_vendorarch}/auto/Gtk2


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.560.0-14.mga6
+ Revision: 1027997
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.560.0-13.mga6
+ Revision: 957411
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.560.0-12.mga6
+ Revision: 843343
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.560.0-11.mga5
+ Revision: 743243
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.560.0-10.mga5
+ Revision: 684899
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Jun 03 2014 jquelin <jquelin> 1.560.0-9.mga5
+ Revision: 632270
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.560.0-8.mga4
+ Revision: 524310
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.560.0-7.mga4
+ Revision: 430715
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 1.560.0-6.mga3
+ Revision: 389351
- add br
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.560.0-5.mga3
+ Revision: 367870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.560.0-4.mga3
+ Revision: 250706
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 1.560.0-3.mga2
+ Revision: 135817
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 1.560.0-2.mga2
+ Revision: 104445
- Rebuild for perl-5.14.0

* Wed Jan 26 2011 jquelin <jquelin> 1.560.0-1.mga1
+ Revision: 40984
- mageia rebuild
- imported package perl-Gtk2-CV


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.560.0-1mdv2011.0
+ Revision: 594462
- update to new version 1.56

* Fri Jan 29 2010 Jérôme Quelin <jquelin@mandriva.org> 1.550.0-3mdv2011.0
+ Revision: 497910
- remove extra requires

* Wed Jan 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.550.0-2mdv2010.1
+ Revision: 497158
- fix typo in a plugin

* Wed Jan 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.550.0-1mdv2010.1
+ Revision: 497004
- update to 1.55

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 1.540.0-2mdv2010.0
+ Revision: 419814
- rebuild for new libjpeg v7

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 1.540.0-1mdv2010.0
+ Revision: 399302
- update to 1.54 for real this time
- using %%perl_convert_version
- fixed license & buildrequires fields

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.54-1mdv2010.0
+ Revision: 370127
- update to new version 1.54

* Wed Jul 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.3-1mdv2009.0
+ Revision: 233036
- new version

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-1mdv2008.1
+ Revision: 159935
- new version

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.5-3mdv2008.1
+ Revision: 152214
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdv2008.1
+ Revision: 112505
- update to new version 1.5

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-1mdv2008.0
+ Revision: 47638
- update to new version 1.4


* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-1mdv2007.0
+ Revision: 96805
- fix build dependencies
- new version
- Import perl-Gtk2-CV

* Sun Apr 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdk
- New release 1.2

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-2mdk
- Fix BuildRequires

* Thu Nov 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdk
- New release 1.1

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- fix url
- fix group
- fix directory ownership
- drop explicit gtk+2 dependency

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.15-3mdk
- Add buildrequires

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15-2mdk
- fix requires

* Fri May 20 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15-1mdk
- initial release

